For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Create tokenDev Discord
  • Get started
    • Introduction
    • Authentication
    • API Privacy
    • Exceptions
    • Dev Discord
  • Modules
  • Changelog
    • v3.7.2 - OAuth2
    • v3.7.1
    • v3.7
    • v3.6 - Fruma Expansion
    • v3.5.2
    • v3.5.1
    • v3.5 - User System
    • v3.4
    • v3.3.4
    • v3.3.3
    • v3.3.2
    • v3.3.1
    • v3.3 - Rekindled World
    • v3.2.5
    • v3.2.4
    • v3.2.3
    • v3.2.2
    • v3.2.1
    • v3.2
    • v3.1
    • v3.0
LogoLogoWynncraft API - Documentation
Create tokenDev Discord
On this page
  • Related endpoints
  • Player endpoints
  • GET /player/{username}
  • GET /player/{username}/characters and GET /player/{username}/characters/{uuid}
  • GET /player/whoami
  • Leaderboards
  • GET /leaderboards/{lb_type}
  • Items
  • GET /item/metadata
  • Internal updates
Changelog

v3.4

Was this page helpful?
Edit this page
Previous

v3.5 - User System

Next

v3.3.4

Built with

Related endpoints

  • GET /player/{username}
  • GET /player/{username}/characters
  • GET /player/{username}/characters/{uuid}
  • GET /player/whoami
  • GET /leaderboards/{lb_type}
  • GET /item/metadata

This patch was released alongside Wynncraft 2.1.1.

Player endpoints

GET /player/{username}

  • Added the current active nickname to player main stats.
  • The active nickname changes depending on the last used nickname, similar to currentActiveCharacter.

GET /player/{username}/characters and GET /player/{username}/characters/{uuid}

  • Character type now returns only the base class type.
  • Reskinned class data moved to reskinned.

GET /player/whoami

  • Added /player/whoami.
  • The route is similar to the player location route and displays information about the player associated with the current request.

Leaderboards

GET /leaderboards/{lb_type}

  • Fixed content completion values that could incorrectly reach 1125.
  • Made content completion counting more precise.
  • Renamed raid leaderboard keys from [nol/tcc/nog/tna]_sr_[guild/player] to [orphion/colossus/grootslang/nameless]_sr_[guild/player].

Items

GET /item/metadata

  • Item metadata now only returns filters that have associated items.
  • The same behavior applies when using the static query parameter.

Internal updates

  • Fixed the API auto-update system not updating items, major IDs, and related data.